@font-face 
{
    font-family: "Audiowide";
    src: url('../fonts/Audiowide/Audiowide-Regular.ttf') format('truetype');
    font-weight: 400;
    font-style: normal;
}
@font-face 
{
    font-family: "Rubik";
    src: url('../fonts/Rubik/Rubik-VariableFont_wght.ttf') format('truetype');
    font-weight: 100 900;
    font-style: normal;
}
:root 
{
    --bg-color: #ffffff;
    --text-color: #000000;
}
body
{
    margin: 0;
    font-family: "Rubik", sans-serif;
    font-optical-sizing: auto;
    font-style: normal;
    background-color: var(--bg-color);
    color: var(--text-color);
    transition: 0.3s; /* Плавный переход */
    overflow-x: hidden;
}
body.dark-theme 
{
    --bg-color: #333333;
    --text-color: #ffffff;
}
header
{
    position: fixed;
    display: flex;
    justify-content: space-between;
    top: 0;
    width: stretch;
    height: 100px;
    /*border-bottom: 1px solid grey;*/
    padding: 0 30px;
    background-color: rgb(113 62 195);
    z-index: 9999;
}
footer
{
    display: flex;
    justify-content: space-between;
    height: 200px;
    /*border-top: 1px solid grey;*/
    padding: 0 30px;
    background-color: black;
}
a.dark-theme
{
    --text-color: #ffffff;
}

.header_logo
{
    display: flex;
    align-items: center;
    font-family: "Audiowide", sans-serif;
    font-weight: 400;
    font-style: normal;
    font-size: 30px;
}
.logo_image_link
{
    color: inherit;
    text-decoration: none;
    outline: none;
}
#logo_image_link_span_0
{
    color: white;
}
#logo_image_link_span_1
{
    color: white;
}
.header_menu
{
    display: flex;
    width: 25%;
    align-items: center; 
}
.header_menu_button_area
{
    display: none;
    align-content: center;
}
.header_menu_button
{
    width: 100%;
    background-color: transparent;
    border: none;
    color: white;
    font-size: 30px;
    padding: 0;
}

.header_mobile_menu
{
    position: absolute;
    height: 500px;
    top: 100px;
    right: 0px;
    padding: 30px;
    font-size: 30px;
    border-radius: 10px 0px 0px 10px;
    background-color: rgb(0, 0, 0);
}

.menu_buttons
{
    display: flex;
    justify-content: space-between;
    width: 100%;
}
.menu_button
{
    text-decoration: none;
    color: black;
    font-weight: 500;
    color: white;
    text-decoration: none;
}
.menu_button:hover
{
    text-decoration: underline;
}
.header_contact_button_area
{
    align-content: center;
}
.header_contact_button
{
    font-weight: 600;
    border: 2px solid white;
    background-color: rgb(255, 255, 255);
    padding: 13px;
    color: rgb(54 0 129);
    text-decoration: none;
    border-radius: 15px;
}
.header_contact_button:hover
{
    background-color: transparent;
    color: white;
    transition: 0.2s;
}
.header_theme_switcher
{
    width: 10%;
    display: flex;
    align-items: center; 
}
.theme_switcher_field
{
    width: 60px;
    height: 30px;
    margin-left: auto;
    border: 1px solid black;
    border-radius: 20px;
    padding: 2px;
    cursor: pointer;
}
.theme_switcher_slider
{
    width: 50%;
    height: 100%;
    background-color: rgb(255, 187, 0);
    border-radius: 50%;
    
}
.footer_logo
{
    display: flex;
    align-items: center;
    font-family: "Audiowide", sans-serif;
    font-weight: 400;
    font-style: normal;
    font-size: 30px;
}
.footer_menu
{
    display: flex;
    width: 25%;
    align-items: center; 
}
.footer_contacts
{
    display: block;
    align-content: center;
    font-size: 20px;
    color: white;
}
.footer_phone,
.footer_email
{
    margin: 10px auto;
    font-weight: 500;
}

#mobile_menu_dynamic_button
{
    width: 100%;
    display: block;
}
#menu_button_line_1
{
    width: 100%;
    height: 3px;
    background-color: white;
    margin-bottom: 5px;
    transition: transform 0.8s ease;
}
#menu_button_line_2
{
    width: 100%;
    height: 3px;
    background-color: white;
    transition: transform 0.8s ease;
}

@media screen and (max-width: 768px) 
{
    header
    {
        justify-content: space-around;
        width: 100vw;
        padding: 0;
    }

    .header_logo
    {
        font-size: 20px;
    }

    .header_contact_button
    {

    }

    .header_menu
    {
        display: none;
    }
    
    .header_menu_button_area
    {
        width: 25px;
        display: block;
    }
    
    .menu_buttons
    {
        display: block;
    }

    .header_contact_button
    {
        color: inherit;
        text-decoration: none;
        outline: none;
        padding: 10px;
    }
    .menu_button
    {
        color: rgb(255, 255, 255);
        margin-top: 20px;
    }

    footer
    {
        display: block;
        height: 300px;
        padding: 30px;
    }
    
    
}